function [grid, A] = discretize_laplace_1d(a, b, N, do_dirichlet)

h = (b-a)/N;

A = spalloc(N-1, N-1, (N-1)+2*(N-2));
grid = zeros(1, N-1);

for i=1:N-1
   A(i, i) = -2;
   grid(i) = a+i*h;
end

for i=2:N-1
   A(i, i-1) = 1;
   A(i-1, i) = 1;
end

if( ~do_dirichlet )
   A(  1,   1) = -1;
   A(N-1, N-1) = -1;
end

A = A/(h^2);

