function plot_rk_stability(b, A, c)

re = -3:0.05:1;
im = -4:0.1:4;

tot_pnts = length(re)*length(im);

[RE, IM] = meshgrid(re, im);

re = reshape(RE, tot_pnts, 1);
im = reshape(IM, tot_pnts, 1);

is_stab = zeros(size(re));

for i=1:tot_pnts
   mu = re(i) + 1i*im(i);

   is_stab(i) = is_stable(b, A, c, mu);
end

stables = (abs(is_stab)<=1+eps);

plot(re(stables), im(stables), 'r+', ...
               'MarkerSize', 10, ...
               'LineWidth', 2);
hold on;
contour(RE, IM, reshape(abs(is_stab), size(RE,1), size(RE,2)));


%plot(re(is_stab==0), im(is_stab==0), 'b.', ...
%               'MarkerSize', 20, ...
%               'LineWidth', 5);

plot(re, zeros(size(re)), 'k-', 'LineWidth', 3);
plot(zeros(size(im)), im, 'k-', 'LineWidth', 3);
hold off;

legend('Stabil');
